/**
 * Application configuration
 */
import { DateHelper } from '@bryntum/gantt';

export const ganttConfig = {
    viewPreset: 'weekAndDayLetter',
    timeRangesFeature: {
        showCurrentTimeLine : true
    },
    columns: [
        { type: 'name', field: 'name', width: 50 },
        { type: 'startdate', field: 'startDate', width: 50 },
        { type : 'duration', text : 'Duration' },
        { type: 'lateenddate', field: 'lateEndDate', width: 50 }
    ]
};

export const projectConfig = {
    calendar: 'general',
    startDate: DateHelper.add(DateHelper.clearTime(new Date()), -7, 'day'),
    hoursPerDay: 24,
    daysPerWeek: 5,
    daysPerMonth: 20
};
